Create a project
curl --request POST \
--url https://api.tensorpro.ai/api/v1/projects \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Website relaunch"
}
'import requests
url = "https://api.tensorpro.ai/api/v1/projects"
payload = { "name": "Website relaunch" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Website relaunch'})
};
fetch('https://api.tensorpro.ai/api/v1/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tensorpro.ai/api/v1/projects",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Website relaunch'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.tensorpro.ai/api/v1/projects"
payload := strings.NewReader("{\n \"name\": \"Website relaunch\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.tensorpro.ai/api/v1/projects")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Website relaunch\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tensorpro.ai/api/v1/projects")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Website relaunch\"\n}"
response = http.request(request)
puts response.read_body{
"id": "b4c8e2f6-1a3d-4e5f-9b7c-2d6e8f0a1b3c",
"name": "Website relaunch",
"created_at": "2026-11-08T22:15:00+00:00",
"updated_at": "2026-11-08T22:15:00+00:00",
"session_count": 0,
"source_count": 0
}
Projects
Create a project
Create a project to group documents and memory into a separate scope. Pass its id as project_id to the other endpoints.
POST
/
api
/
v1
/
projects
Create a project
curl --request POST \
--url https://api.tensorpro.ai/api/v1/projects \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Website relaunch"
}
'import requests
url = "https://api.tensorpro.ai/api/v1/projects"
payload = { "name": "Website relaunch" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Website relaunch'})
};
fetch('https://api.tensorpro.ai/api/v1/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tensorpro.ai/api/v1/projects",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Website relaunch'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.tensorpro.ai/api/v1/projects"
payload := strings.NewReader("{\n \"name\": \"Website relaunch\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.tensorpro.ai/api/v1/projects")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Website relaunch\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tensorpro.ai/api/v1/projects")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Website relaunch\"\n}"
response = http.request(request)
puts response.read_body{
"id": "b4c8e2f6-1a3d-4e5f-9b7c-2d6e8f0a1b3c",
"name": "Website relaunch",
"created_at": "2026-11-08T22:15:00+00:00",
"updated_at": "2026-11-08T22:15:00+00:00",
"session_count": 0,
"source_count": 0
}
Use this endpoint to group related documents and memory into their own scope, such as one per product or topic. Pass the project’s
See Error handling.
id as project_id to other endpoints to work inside it.
What EDN does
Creates the project and returns it.Required headers
| Header | Value | Description |
|---|---|---|
Authorization | Bearer YOUR_API_KEY | Your EDN API key. Create keys in the Console. See Authentication |
Content-Type | application/json | The request body is JSON |
Request
| Field | Type | Required | Description |
|---|---|---|---|
name | string | Yes | The project’s name. Spaces at the start and end are removed; names longer than 100 characters are cut to 100. Must not be empty |
curl -X POST "https://api.tensorpro.ai/api/v1/projects" \
-H "Authorization: Bearer $EDN_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "Website relaunch"
}'
import os
import requests
resp = requests.post(
"https://api.tensorpro.ai/api/v1/projects",
headers={"Authorization": f"Bearer {os.environ['EDN_API_KEY']}"},
json={
"name": "Website relaunch"
},
)
resp.raise_for_status()
print(resp.json())
const resp = await fetch("https://api.tensorpro.ai/api/v1/projects", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.EDN_API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({
"name": "Website relaunch"
}),
});
console.log(await resp.json());
Response
200 OK
{
"id": "b4c8e2f6-1a3d-4e5f-9b7c-2d6e8f0a1b3c",
"name": "Website relaunch",
"created_at": "2026-11-08T22:15:00+00:00",
"updated_at": "2026-11-08T22:15:00+00:00",
"session_count": 0,
"source_count": 0
}
| Field | Type | Description |
|---|---|---|
id | string | Identifier for the project. Pass it as project_id to other endpoints |
name | string | The project’s name |
created_at | string (date-time) | When the project was created |
updated_at | string (date-time) | When the project was last changed |
session_count | integer | How many sessions are in the project |
source_count | integer | How many documents the project has |
Important behavior
- Projects aren’t separate users. All projects belong to your account. See Projects and sessions.
Errors
| Status | Code | When |
|---|---|---|
401 | UNAUTHORIZED | The API key is missing, invalid or revoked |
422 | VALIDATION_ERROR | name is missing or empty |
429 | RATE_LIMITED | Per-minute limit reached. Retry after Retry-After seconds |
500 | INTERNAL_ERROR | Something failed on EDN’s side. Retry later |
{
"id": "b4c8e2f6-1a3d-4e5f-9b7c-2d6e8f0a1b3c",
"name": "Website relaunch",
"created_at": "2026-11-08T22:15:00+00:00",
"updated_at": "2026-11-08T22:15:00+00:00",
"session_count": 0,
"source_count": 0
}
Authorizations
Body
application/json
Response
Successful Response
